Index: /code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h	(revision 10821)
@@ -158,12 +158,12 @@
 
             // Call all the states with the held button event
-            for (unsigned int iB = 0; iB < pressedButtons_.size(); ++iB)
-                for (unsigned int iS = 0; iS < inputStates_.size(); ++iS)
-                    inputStates_[iS]->template buttonEvent<ButtonEvent::THold, typename Traits::ButtonTypeParam>(
-                        this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(pressedButtons_[iB]));
+            for (auto & button : pressedButtons_)
+                for (auto & state : inputStates_)
+                    state->template buttonEvent<ButtonEvent::THold, typename Traits::ButtonTypeParam>(
+                        this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
 
             // Call states with device update events
-            for (unsigned int i = 0; i < inputStates_.size(); ++i)
-                inputStates_[i]->update(time.getDeltaTime(), this->getDeviceID());
+            for (auto & elem : inputStates_)
+                elem->update(time.getDeltaTime(), this->getDeviceID());
 
             static_cast<DeviceClass*>(this)->updateImpl(time);
@@ -196,6 +196,6 @@
 
             // Call states
-            for (unsigned int i = 0; i < inputStates_.size(); ++i)
-                inputStates_[i]->template buttonEvent<ButtonEvent::TPress, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
+            for (auto & elem : inputStates_)
+                elem->template buttonEvent<ButtonEvent::TPress, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
         }
 
@@ -218,6 +218,6 @@
 
             // Call states
-            for (unsigned int i = 0; i < inputStates_.size(); ++i)
-                inputStates_[i]->template buttonEvent<ButtonEvent::TRelease, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
+            for (auto & elem : inputStates_)
+                elem->template buttonEvent<ButtonEvent::TRelease, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
         }
 
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc	(revision 10821)
@@ -373,9 +373,9 @@
         // check whether a state has changed its EMPTY situation
         bool bUpdateRequired = false;
-        for (std::map<int, InputState*>::iterator it = activeStates_.begin(); it != activeStates_.end(); ++it)
-        {
-            if (it->second->hasExpired())
-            {
-                it->second->resetExpiration();
+        for (auto & elem : activeStates_)
+        {
+            if (elem.second->hasExpired())
+            {
+                elem.second->resetExpiration();
                 bUpdateRequired = true;
             }
@@ -391,6 +391,6 @@
 
         // Collect function calls for the update
-        for (unsigned int i = 0; i < activeStatesTicked_.size(); ++i)
-            activeStatesTicked_[i]->update(time.getDeltaTime());
+        for (auto & elem : activeStatesTicked_)
+            elem->update(time.getDeltaTime());
 
         // Execute all cached function calls in order
@@ -401,6 +401,6 @@
         // If we delay the calls, then OIS and and the InputStates are not anymore
         // in the call stack and can therefore be edited.
-        for (size_t i = 0; i < this->callBuffer_.size(); ++i)
-            this->callBuffer_[i]();
+        for (auto & elem : this->callBuffer_)
+            elem();
 
         this->callBuffer_.clear();
@@ -437,13 +437,13 @@
         // Using an std::set to avoid duplicates
         std::set<InputState*> tempSet;
-        for (unsigned int i = 0; i < devices_.size(); ++i)
-            if (devices_[i] != nullptr)
-                for (unsigned int iState = 0; iState < devices_[i]->getStateListRef().size(); ++iState)
-                    tempSet.insert(devices_[i]->getStateListRef()[iState]);
+        for (auto & elem : devices_)
+            if (elem != nullptr)
+                for (unsigned int iState = 0; iState < elem->getStateListRef().size(); ++iState)
+                    tempSet.insert(elem->getStateListRef()[iState]);
 
         // Copy the content of the std::set back to the actual vector
         activeStatesTicked_.clear();
-        for (std::set<InputState*>::const_iterator it = tempSet.begin();it != tempSet.end(); ++it)
-            activeStatesTicked_.push_back(*it);
+        for (const auto & elem : tempSet)
+            activeStatesTicked_.push_back(elem);
 
         // Check whether we have to change the mouse mode
Index: /code/branches/cpp11_v2/src/libraries/core/input/JoyStick.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/JoyStick.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/input/JoyStick.cc	(revision 10821)
@@ -186,6 +186,6 @@
     void JoyStick::clearBuffersImpl()
     {
-        for (int j = 0; j < 4; ++j)
-            povStates_[j] = 0;
+        for (auto & elem : povStates_)
+            elem = 0;
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc	(revision 10821)
@@ -153,7 +153,7 @@
     void KeyBinder::buttonThresholdChanged()
     {
-        for (unsigned int i = 0; i < allHalfAxes_.size(); i++)
-            if (!allHalfAxes_[i]->bButtonThresholdUser_)
-                allHalfAxes_[i]->buttonThreshold_ = this->buttonThreshold_;
+        for (auto & elem : allHalfAxes_)
+            if (!elem->bButtonThresholdUser_)
+                elem->buttonThreshold_ = this->buttonThreshold_;
     }
 
@@ -383,6 +383,6 @@
             it->second->clear();
 
-        for (unsigned int i = 0; i < paramCommandBuffer_.size(); i++)
-            delete paramCommandBuffer_[i];
+        for (auto & elem : paramCommandBuffer_)
+            delete elem;
         paramCommandBuffer_.clear();
     }
@@ -394,7 +394,7 @@
     {
         // iterate over all buttons
-        for (std::map<std::string, Button*>::iterator it = this->allButtons_.begin(); it != this->allButtons_.end(); ++it)
-        {
-            Button* button = it->second;
+        for (const auto & elem : this->allButtons_)
+        {
+            Button* button = elem.second;
 
             // iterate over all modes
@@ -465,6 +465,6 @@
         this->mousePosition_[1] = 0.0f;
 
-        for (unsigned int i = 0; i < MouseAxisCode::numberOfAxes * 2; i++)
-            mouseAxes_[i].reset();
+        for (auto & elem : mouseAxes_)
+            elem.reset();
     }
 
@@ -505,5 +505,5 @@
         }
 
-        for (unsigned int i = 0; i < MouseAxisCode::numberOfAxes * 2; i++)
+        for (auto & elem : mouseAxes_)
         {
             // Why dividing relative value by dt? The reason lies in the simple fact, that when you
@@ -515,8 +515,8 @@
             {
                 // just ignore if dt == 0.0 because we have multiplied by 0.0 anyway..
-                mouseAxes_[i].relVal_ /= dt;
-            }
-
-            tickHalfAxis(mouseAxes_[i]);
+                elem.relVal_ /= dt;
+            }
+
+            tickHalfAxis(elem);
         }
     }
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h	(revision 10821)
@@ -226,13 +226,13 @@
     {
         // execute all buffered bindings (additional parameter)
-        for (unsigned int i = 0; i < paramCommandBuffer_.size(); i++)
+        for (auto & elem : paramCommandBuffer_)
         {
-            paramCommandBuffer_[i]->rel_ *= dt;
-            paramCommandBuffer_[i]->execute();
+            elem->rel_ *= dt;
+            elem->execute();
         }
 
         // always reset the relative movement of the mouse
-        for (unsigned int i = 0; i < MouseAxisCode::numberOfAxes * 2; i++)
-            mouseAxes_[i].relVal_ = 0.0f;
+        for (auto & elem : mouseAxes_)
+            elem.relVal_ = 0.0f;
     }
 }// tolua_export
Index: /code/branches/cpp11_v2/src/libraries/core/input/Mouse.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/Mouse.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/input/Mouse.cc	(revision 10821)
@@ -82,6 +82,6 @@
             IntVector2 rel(e.state.X.rel, e.state.Y.rel);
             IntVector2 clippingSize(e.state.width, e.state.height);
-            for (unsigned int i = 0; i < inputStates_.size(); ++i)
-                inputStates_[i]->mouseMoved(abs, rel, clippingSize);
+            for (auto & elem : inputStates_)
+                elem->mouseMoved(abs, rel, clippingSize);
         }
 
@@ -89,6 +89,6 @@
         if (e.state.Z.rel != 0)
         {
-            for (unsigned int i = 0; i < inputStates_.size(); ++i)
-                inputStates_[i]->mouseScrolled(e.state.Z.abs, e.state.Z.rel);
+            for (auto & elem : inputStates_)
+                elem->mouseScrolled(e.state.Z.abs, e.state.Z.rel);
         }
 
Index: /code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc	(revision 10821)
@@ -75,8 +75,8 @@
     {
         // Unload & delete resources in turn
-        for (DynLibList::iterator it = mLibList.begin(); it != mLibList.end(); ++it)
+        for (auto & elem : mLibList)
         {
-            it->second->unload();
-            delete it->second;
+            elem.second->unload();
+            delete elem.second;
         }
 
Index: /code/branches/cpp11_v2/src/libraries/core/module/ModuleInstance.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/ModuleInstance.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/module/ModuleInstance.cc	(revision 10821)
@@ -59,6 +59,6 @@
     {
         const std::set<StaticallyInitializedInstance*>& instances = this->staticallyInitializedInstancesByType_[type];
-        for (std::set<StaticallyInitializedInstance*>::iterator it = instances.begin(); it != instances.end(); ++it)
-            (*it)->load();
+        for (const auto & instance : instances)
+            (instance)->load();
     }
 
@@ -75,6 +75,6 @@
         std::map<StaticInitialization::Type, std::set<StaticallyInitializedInstance*>> copy(this->staticallyInitializedInstancesByType_);
         this->staticallyInitializedInstancesByType_.clear();
-        for (std::map<StaticInitialization::Type, std::set<StaticallyInitializedInstance*>>::iterator it1 = copy.begin(); it1 != copy.end(); ++it1)
-            for (std::set<StaticallyInitializedInstance*>::iterator it2 = it1->second.begin(); it2 != it1->second.end(); ++it2)
+        for (auto & elem : copy)
+            for (std::set<StaticallyInitializedInstance*>::iterator it2 = elem.second.begin(); it2 != elem.second.end(); ++it2)
                 delete (*it2);
     }
Index: /code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc	(revision 10821)
@@ -59,8 +59,8 @@
         ModifyConsoleCommand("PluginManager", __CC_PluginManager_unload_name).setObject(nullptr);
 
-        for (std::map<std::string, PluginReference*>::iterator it = this->references_.begin(); it != this->references_.end(); ++it)
-            delete it->second;
-        for (std::map<std::string, Plugin*>::iterator it = this->plugins_.begin(); it != this->plugins_.end(); ++it)
-            delete it->second;
+        for (auto & elem : this->references_)
+            delete elem.second;
+        for (auto & elem : this->plugins_)
+            delete elem.second;
     }
 
@@ -68,8 +68,8 @@
     {
         const std::vector<std::string>& pluginPaths = ApplicationPaths::getInstance().getPluginPaths();
-        for (std::vector<std::string>::const_iterator it = pluginPaths.begin(); it != pluginPaths.end(); ++it)
+        for (auto libraryName : pluginPaths)
         {
             std::string name;
-            std::string libraryName = (*it);
+            
             std::string filename = libraryName +  + specialConfig::pluginExtension;
             std::ifstream infile(filename.c_str());
Index: /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.cc	(revision 10821)
@@ -50,6 +50,6 @@
     {
         // attention: loading a module may add new handlers to the list
-        for (std::list<StaticInitializationHandler*>::iterator it = this->handlers_.begin(); it != this->handlers_.end(); ++it)
-            (*it)->loadModule(module);
+        for (auto & elem : this->handlers_)
+            (elem)->loadModule(module);
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/object/Context.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/Context.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/object/Context.cc	(revision 10821)
@@ -70,6 +70,6 @@
         // unregister context from object lists before object lists are destroyed
         this->unregisterObject();
-        for (size_t i = 0; i < this->objectLists_.size(); ++i)
-            delete this->objectLists_[i];
+        for (auto & elem : this->objectLists_)
+            delete elem;
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/object/Listable.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/Listable.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/object/Listable.cc	(revision 10821)
@@ -76,6 +76,6 @@
     void Listable::unregisterObject()
     {
-        for (size_t i = 0; i < this->elements_.size(); ++i)
-            Listable::deleteObjectListElement(this->elements_[i]);
+        for (auto & elem : this->elements_)
+            Listable::deleteObjectListElement(elem);
         this->elements_.clear();
     }
@@ -91,8 +91,8 @@
         this->elements_.clear();
 
-        for (size_t i = 0; i < copy.size(); ++i)
+        for (auto & elem : copy)
         {
-            copy[i]->changeContext(this->context_, context);
-            Listable::deleteObjectListElement(copy[i]);
+            elem->changeContext(this->context_, context);
+            Listable::deleteObjectListElement(elem);
         }
 
Index: /code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.cc	(revision 10821)
@@ -92,6 +92,6 @@
     void ObjectListBase::notifyRemovalListeners(ObjectListBaseElement* element) const
     {
-        for (std::vector<ObjectListElementRemovalListener*>::const_iterator it = this->listeners_.begin(); it != this->listeners_.end(); ++it)
-            (*it)->removedElement(element);
+        for (const auto & elem : this->listeners_)
+            (elem)->removedElement(element);
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/singleton/ScopeManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/singleton/ScopeManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/singleton/ScopeManager.cc	(revision 10821)
@@ -73,12 +73,12 @@
     void ScopeManager::activateListenersForScope(ScopeID::Value scope)
     {
-        for (std::set<ScopeListener*>::iterator it = this->listeners_[scope].begin(); it != this->listeners_[scope].end(); ++it)
-            this->activateListener(*it);
+        for (const auto & elem : this->listeners_[scope])
+            this->activateListener(elem);
     }
 
     void ScopeManager::deactivateListenersForScope(ScopeID::Value scope)
     {
-        for (std::set<ScopeListener*>::iterator it = this->listeners_[scope].begin(); it != this->listeners_[scope].end(); ++it)
-            this->deactivateListener(*it);
+        for (const auto & elem : this->listeners_[scope])
+            this->deactivateListener(elem);
     }
 
Index: /code/branches/cpp11_v2/src/libraries/network/FunctionCall.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/FunctionCall.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/network/FunctionCall.cc	(revision 10821)
@@ -131,7 +131,7 @@
   *(uint32_t*)(mem+2*sizeof(uint32_t)) = this->objectID_;
   mem += 3*sizeof(uint32_t);
-  for( std::vector<MultiType>::iterator it = this->arguments_.begin(); it!=this->arguments_.end(); ++it )
+  for(auto & elem : this->arguments_)
   {
-    it->exportData( mem );
+    elem.exportData( mem );
   }
 }
Index: /code/branches/cpp11_v2/src/libraries/network/Host.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/Host.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/network/Host.cc	(revision 10821)
@@ -80,9 +80,9 @@
   void Host::addPacket(ENetPacket *packet, int clientID, uint8_t channelID)
   {
-    for( std::vector<Host*>::iterator it = instances_s.begin(); it!=instances_s.end(); ++it )
+    for(auto & instances_ : instances_s)
     {
-      if( (*it)->isActive() )
+      if( (instances_)->isActive() )
       {
-        (*it)->queuePacket(packet, clientID, channelID);
+        (instances_)->queuePacket(packet, clientID, channelID);
       }
     }
@@ -97,7 +97,7 @@
   void Host::sendChat(const std::string& message, unsigned int sourceID, unsigned int targetID)
   {
-    for( std::vector<Host*>::iterator it = instances_s.begin(); it!=instances_s.end(); ++it )
-      if( (*it)->isActive() )
-        (*it)->doSendChat(message, sourceID, targetID);
+    for(auto & instances_ : instances_s)
+      if( (instances_)->isActive() )
+        (instances_)->doSendChat(message, sourceID, targetID);
   }
 
@@ -114,9 +114,9 @@
   bool Host::isServer()
   {
-    for (std::vector<Host*>::iterator it=instances_s.begin(); it!=instances_s.end(); ++it )
+    for (auto & instances_ : instances_s)
     {
-      if( (*it)->isActive() )
+      if( (instances_)->isActive() )
       {
-        if( (*it)->isServer_() )
+        if( (instances_)->isServer_() )
           return true;
       }
Index: /code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.cc	(revision 10821)
@@ -88,6 +88,6 @@
     }
     // delete all Synchronisable Variables from syncList_ ( which are also in stringList_ )
-    for(std::vector<SynchronisableVariableBase*>::iterator it = syncList_.begin(); it!=syncList_.end(); it++)
-      delete (*it);
+    for(auto & elem : syncList_)
+      delete (elem);
     syncList_.clear();
     stringList_.clear();
Index: /code/branches/cpp11_v2/src/libraries/tools/DebugDrawer.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/DebugDrawer.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/tools/DebugDrawer.cc	(revision 10821)
@@ -392,11 +392,11 @@
             manualObject->estimateVertexCount(lineVertices.size());
             manualObject->estimateIndexCount(lineIndices.size());
-            for (std::list<VertexPair>::iterator i = lineVertices.begin(); i != lineVertices.end(); i++)
+            for (auto & elem : lineVertices)
             {
-                manualObject->position(i->first);
-                manualObject->colour(i->second);
+                manualObject->position(elem.first);
+                manualObject->colour(elem.second);
             }
-            for (std::list<int>::iterator i = lineIndices.begin(); i != lineIndices.end(); i++)
-                manualObject->index(*i);
+            for (auto & elem : lineIndices)
+                manualObject->index(elem);
         }
         else
@@ -409,11 +409,11 @@
             manualObject->estimateVertexCount(triangleVertices.size());
             manualObject->estimateIndexCount(triangleIndices.size());
-            for (std::list<VertexPair>::iterator i = triangleVertices.begin(); i != triangleVertices.end(); i++)
+            for (auto & elem : triangleVertices)
             {
-                manualObject->position(i->first);
-                manualObject->colour(i->second.r, i->second.g, i->second.b, fillAlpha);
+                manualObject->position(elem.first);
+                manualObject->colour(elem.second.r, elem.second.g, elem.second.b, fillAlpha);
             }
-            for (std::list<int>::iterator i = triangleIndices.begin(); i != triangleIndices.end(); i++)
-                manualObject->index(*i);
+            for (auto & elem : triangleIndices)
+                manualObject->index(elem);
         }
         else
Index: /code/branches/cpp11_v2/src/libraries/tools/IcoSphere.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/IcoSphere.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/tools/IcoSphere.cc	(revision 10821)
@@ -116,7 +116,7 @@
             std::list<TriangleIndices> faces2;
 
-            for (std::list<TriangleIndices>::iterator j = faces.begin(); j != faces.end(); j++)
+            for (auto f : faces)
             {
-                TriangleIndices f = *j;
+                
                 int a = getMiddlePoint(f.v1, f.v2);
                 int b = getMiddlePoint(f.v2, f.v3);
@@ -194,8 +194,8 @@
     void IcoSphere::addToLineIndices(int baseIndex, std::list<int>* target) const
     {
-        for (std::list<LineIndices>::const_iterator i = lineIndices.begin(); i != lineIndices.end(); i++)
+        for (const auto & elem : lineIndices)
         {
-            target->push_back(baseIndex + (*i).v1);
-            target->push_back(baseIndex + (*i).v2);
+            target->push_back(baseIndex + (elem).v1);
+            target->push_back(baseIndex + (elem).v2);
         }
     }
@@ -203,9 +203,9 @@
     void IcoSphere::addToTriangleIndices(int baseIndex, std::list<int>* target) const
     {
-        for (std::list<TriangleIndices>::const_iterator i = faces.begin(); i != faces.end(); i++)
+        for (const auto & elem : faces)
         {
-            target->push_back(baseIndex + (*i).v1);
-            target->push_back(baseIndex + (*i).v2);
-            target->push_back(baseIndex + (*i).v3);
+            target->push_back(baseIndex + (elem).v1);
+            target->push_back(baseIndex + (elem).v2);
+            target->push_back(baseIndex + (elem).v3);
         }
     }
@@ -217,6 +217,6 @@
         transform.setScale(Ogre::Vector3(scale, scale, scale));
 
-        for (int i = 0; i < (int) vertices.size(); i++)
-            target->push_back(VertexPair(transform * vertices[i], colour));
+        for (auto & elem : vertices)
+            target->push_back(VertexPair(transform * elem, colour));
 
         return vertices.size();
Index: /code/branches/cpp11_v2/src/libraries/tools/Shader.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/Shader.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/tools/Shader.cc	(revision 10821)
@@ -197,23 +197,23 @@
     {
         // iterate through the list of parameters
-        for (std::list<ParameterContainer>::iterator it = this->parameters_.begin(); it != this->parameters_.end(); ++it)
-        {
-            Ogre::Technique* techniquePtr = materialPtr->getTechnique(it->technique_);
+        for (auto & elem : this->parameters_)
+        {
+            Ogre::Technique* techniquePtr = materialPtr->getTechnique(elem.technique_);
             if (techniquePtr)
             {
-                Ogre::Pass* passPtr = techniquePtr->getPass(it->pass_);
+                Ogre::Pass* passPtr = techniquePtr->getPass(elem.pass_);
                 if (passPtr)
                 {
                     // change the value of the parameter depending on its type
-                    if (it->value_.isType<int>())
-                        passPtr->getFragmentProgramParameters()->setNamedConstant(it->parameter_, it->value_.get<int>());
-                    else if (it->value_.isType<float>())
-                        passPtr->getFragmentProgramParameters()->setNamedConstant(it->parameter_, it->value_.get<float>());
+                    if (elem.value_.isType<int>())
+                        passPtr->getFragmentProgramParameters()->setNamedConstant(elem.parameter_, elem.value_.get<int>());
+                    else if (elem.value_.isType<float>())
+                        passPtr->getFragmentProgramParameters()->setNamedConstant(elem.parameter_, elem.value_.get<float>());
                 }
                 else
-                    orxout(internal_warning) << "No pass " << it->pass_ << " in technique " << it->technique_ << " in compositor \"" << this->compositorName_ << "\" or pass has no shader." << endl;
+                    orxout(internal_warning) << "No pass " << elem.pass_ << " in technique " << elem.technique_ << " in compositor \"" << this->compositorName_ << "\" or pass has no shader." << endl;
             }
             else
-                orxout(internal_warning) << "No technique " << it->technique_ << " in compositor \"" << this->compositorName_ << "\" or technique has no pass with shader." << endl;
+                orxout(internal_warning) << "No technique " << elem.technique_ << " in compositor \"" << this->compositorName_ << "\" or technique has no pass with shader." << endl;
         }
         this->parameters_.clear();
@@ -228,6 +228,6 @@
         {
             const Ogre::Root::PluginInstanceList& plugins = Ogre::Root::getSingleton().getInstalledPlugins();
-            for (size_t i = 0; i < plugins.size(); ++i)
-                if (plugins[i]->getName() == "Cg Program Manager")
+            for (auto & plugin : plugins)
+                if (plugin->getName() == "Cg Program Manager")
                     return true;
         }
Index: /code/branches/cpp11_v2/src/libraries/util/DisplayStringConversions.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/DisplayStringConversions.h	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/util/DisplayStringConversions.h	(revision 10821)
@@ -51,7 +51,7 @@
             {
                 Ogre::UTFString::code_point cp;
-                for (unsigned int i = 0; i < input.size(); ++i)
+                for (auto & elem : input)
                 {
-                  cp = input[i];
+                  cp = elem;
                   cp &= 0xFF;
                   output->append(1, cp);
Index: /code/branches/cpp11_v2/src/libraries/util/Serialise.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/Serialise.h	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/util/Serialise.h	(revision 10821)
@@ -672,6 +672,6 @@
     {
         uint32_t tempsize = sizeof(uint32_t); // for the number of entries
-        for( typename std::set<T>::iterator it=((std::set<T>*)(&variable))->begin(); it!=((std::set<T>*)(&variable))->end(); ++it)
-            tempsize += returnSize( *it );
+        for(const auto & elem : *((std::set<T>*)(&variable)))
+            tempsize += returnSize( elem );
         return tempsize;
     }
Index: /code/branches/cpp11_v2/src/libraries/util/SignalHandler.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/SignalHandler.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/util/SignalHandler.cc	(revision 10821)
@@ -81,7 +81,7 @@
     void SignalHandler::dontCatch()
     {
-      for ( SignalRecList::iterator it = sigRecList.begin(); it != sigRecList.end(); it++ )
-      {
-        signal( it->signal, it->handler );
+      for (auto & elem : sigRecList)
+      {
+        signal( elem.signal, elem.handler );
       }
 
@@ -133,7 +133,7 @@
       }
 
-      for ( SignalCallbackList::iterator it = SignalHandler::getInstance().callbackList.begin(); it != SignalHandler::getInstance().callbackList.end(); it++  )
-      {
-        (*(it->cb))( it->someData );
+      for (auto & elem : SignalHandler::getInstance().callbackList)
+      {
+        (*(elem.cb))( elem.someData );
       }
 
Index: /code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.cc	(revision 10821)
@@ -53,6 +53,6 @@
     SmallObjectAllocator::~SmallObjectAllocator()
     {
-        for (std::vector<char*>::iterator it = this->blocks_.begin(); it != this->blocks_.end(); ++it)
-            delete[] *it;
+        for (auto & elem : this->blocks_)
+            delete[] elem;
     }
 
